Janitor's rude message

Bug #350246 reported by Tom on 2009-03-28
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Launchpad itself
Low
Unassigned
dpkg (Ubuntu)
Undecided
Unassigned

Bug Description

i tried to update and i get this message Please Help!

Tom (tom6) wrote :

 Launchpad Janitor said 5 hours ago:

This question was expired because it remained in the 'Open' state without activity for the last 15 days.

Tom (tom6) wrote :

This is NOT a good automated response. Is this the kind of "customer care" we want Ubuntu to be famous for?

Where is the apology to the customer? Where are alternative help strategies offered?

https://help.ubuntu.com/community/HowToGetHelp

http://www.ubuntulinux.org/support

The launchpad janitor message makes me ashamed to be connected to Ubuntu. I see this as worse than merely a "blocker"

Tom (tom6) wrote :

Janitor has a bug. Please can this be fixed? The bug is that Janitor fails to give Ubuntu clients any support. It just tells them to go away.

Colin Watson (cjwatson) wrote :

This is a problem with Launchpad Answers, not with any package in Ubuntu; I've redirected your bug report there.

Changed in dpkg (Ubuntu):
status: New → Invalid
Tom (tom6) wrote :

Thanks :)

Tom (tom6) wrote :

This message, sent to the translators team suggest there may be some movement on this issue.

Lars Wirzenius
<email address hidden>

Greetings.

I would like to upload a new version of computer-janitor, which would
include a few changes to the user interface. The problem is that there
were a few instances where the word "cruft" was being used, when it
should have been fixed with something that is actually proper English.

There are also some new strings, since I had forgotten to include the
plugins in the POTFILES.in file. These should not break any
documentation or existing translations, however.

I'm attaching the diff for the fi.po file as an example of the changes.

Would the doc and translations teams be OK with these changes?

Martin Pool (mbp) wrote :

I think Lars is talking about a different janitor.

mir4ge (mir4ggio) wrote :

I agree with Tom... An unsolved question shouldn't be closed just because it hasn't changed in the last 15 days...
More... a good idea for a new janitor would be put a hot spot on question which are unsolved after 1 week!

Tom (tom6) wrote :

Yep, i think 'bumping it' to flag it up to a more experienced team acting as 'a second-line of defence' would be ideal. Sorry to string cliches and odd terms together its the fastest way for me to re-explain what i said in the previous bug-report

Thanks mir4ge :)

Curtis Hovey (sinzui) on 2009-05-16
Changed in launchpad-answers:
importance: Undecided → Low
status: New → Triaged
Tom (tom6) wrote :

Basic customer service is considered "Low importance" :(

Curtis Hovey (sinzui) wrote :

The question will not expire if an answer contact assigns the question to a user to answer. Answer Contact have the power to stop every question for expiring by commiting people to answering them.

Lots of projects use answers, including the Launchpad project itself. This is more than just Ubuntu. To change the default behaviour for Ubuntu requires a solution that is suitable for all projects.

The importance is low because there are no Canonical Launchpad developers allocated to the Answers application. Contributors are welcome to help fix this. I can help advise how to plan and make changes that will be accepted by a reviewer.

James Tatum (jtatum) wrote :

Is there any consensus on what exactly should be changed here? I see several suggestions in the comments:

1) Change the message, amending an apology
2) Add suggestions of where to go for additional support or a second try (will have to be configurable per-project)
3) Put a "hot spot" on a question that's been opened longer than 15 days (making it super-open?)
4) ???

I can only assume that there was some design philosophy behind the decision to close a question after 15 days.

If the decision is just to make a text change, that's fine, but as mentioned previously it has to be a change that's applicable to any project, not just Ubuntu.

After 15 years of working with Linux I've moved on. I decided that my
developer and power user days were over and all I wanted to be was a
user. I purchased a MacBook Pro and haven't thought of Linux since.
No more BS messages that apparently have no meaning or reference
something that no one is going to fix. Just, as the ads say, a
machine that works.

Dave Bennett
<email address hidden>

On 31 Oct 2009, at 11:49 AM, James Tatum wrote:

> Is there any consensus on what exactly should be changed here? I see
> several suggestions in the comments:
>
> 1) Change the message, amending an apology
> 2) Add suggestions of where to go for additional support or a second
> try (will have to be configurable per-project)
> 3) Put a "hot spot" on a question that's been opened longer than 15
> days (making it super-open?)
> 4) ???
>
> I can only assume that there was some design philosophy behind the
> decision to close a question after 15 days.
>
> If the decision is just to make a text change, that's fine, but as
> mentioned previously it has to be a change that's applicable to any
> project, not just Ubuntu.
>
> --
> Janitor's rude message
> https://bugs.launchpad.net/bugs/350246
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Launchpad Answers: Triaged
> Status in “dpkg” package in Ubuntu: Invalid
>
> Bug description:
> i tried to update and i get this message Please Help!

How do I get off of this list? All I did was post a question about
Ubuntu 6 months ago and I keep getting all this stuff...
> After 15 years of working with Linux I've moved on. I decided that my
> developer and power user days were over and all I wanted to be was a
> user. I purchased a MacBook Pro and haven't thought of Linux since.
> No more BS messages that apparently have no meaning or reference
> something that no one is going to fix. Just, as the ads say, a
> machine that works.
>
> Dave Bennett
> <email address hidden>
>
>
>
> On 31 Oct 2009, at 11:49 AM, James Tatum wrote:
>
>
>> Is there any consensus on what exactly should be changed here? I see
>> several suggestions in the comments:
>>
>> 1) Change the message, amending an apology
>> 2) Add suggestions of where to go for additional support or a second
>> try (will have to be configurable per-project)
>> 3) Put a "hot spot" on a question that's been opened longer than 15
>> days (making it super-open?)
>> 4) ???
>>
>> I can only assume that there was some design philosophy behind the
>> decision to close a question after 15 days.
>>
>> If the decision is just to make a text change, that's fine, but as
>> mentioned previously it has to be a change that's applicable to any
>> project, not just Ubuntu.
>>
>> --
>> Janitor's rude message
>> https://bugs.launchpad.net/bugs/350246
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in Launchpad Answers: Triaged
>> Status in “dpkg” package in Ubuntu: Invalid
>>
>> Bug description:
>> i tried to update and i get this message Please Help!
>>
>
>

Curtis Hovey (sinzui) wrote :

Hi Eric.

On Sun, 2009-11-01 at 05:31 +0000, Eric The Red wrote:
> How do I get off of this list? All I did was post a question about
> Ubuntu 6 months ago and I keep getting all this stuff...

A question you asking on Launchpad Answers was wrongly linked. I
unlinked it so you will not get emails about the bug.

--
__Curtis C. Hovey_________
http://launchpad.net/

Curtis Hovey (sinzui) wrote :

I have unlinked the unrelated questions since the subject matter of their questions was not about the launchpad janitor. This will help keep the comments focused on this problem and reduce unwanted emails to the users who did not subscribe themselves to this issue.

Hi James.

There is not strong consensus because there is not a clear problem. The bug says "rude message", but I think that fixing the message will not address the core problem. Most of the linked questions were Tom's (I saw only 2 that I did not see is name on).

In most cases, there was a question, Tom tried to help. Two weeks after the last comment, the question was closed. It is not clear then if the user is still having a problem or if the user failed to mark the bug solved;. If the user had replied to to the question after it was closed, the question would have be set to the open state. So we know the user was no longer engaged in the issue.

There could be an old questions report that shows questions 10 days old? A message could be sent to answer contacts and user when the question is 10 days old? The question could be presented in reports differently?

Not all bugs will be solved; the janitor will close them so that answer contacts can focus on user's who are engaged. Keep in mind that no bug that is assigned to an answer contact will be closed by the janitor. The bug will remain open until someone forces a state.

James Tatum (jtatum) wrote :

Hi Curtis,

That's about the same conclusion I reached as well. The bug is confirmed and triaged though so I figured we could at least come up with a plan for addressing this.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers